## ironic 2014.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
alembic>=0.6.4
anyjson>=0.3.3
argparse
eventlet>=0.15.1
kombu>=2.5.0
lockfile>=0.8
lxml>=2.3
WebOb>=1.2.3
greenlet>=0.3.2
sqlalchemy-migrate>=0.9.1,!=0.9.2
netaddr>=0.7.12
paramiko>=1.13.0
iso8601>=0.1.9
python-neutronclient>=2.3.6,<3
python-glanceclient>=0.14.0
python-keystoneclient>=0.10.0
python-swiftclient>=2.2.0
stevedore>=1.0.0  # Apache-2.0
pysendfile==2.0.0
websockify>=0.6.0,<0.7
oslo.config>=1.4.0  # Apache-2.0
oslo.db>=1.0.0  # Apache-2.0
oslo.rootwrap>=1.3.0
oslo.i18n>=1.0.0  # Apache-2.0
oslo.utils>=1.0.0                       # Apache-2.0
pecan>=0.5.0
six>=1.7.0
jsonpatch>=1.1
WSME>=0.6
Jinja2
keystonemiddleware>=1.0.0
oslo.messaging>=1.4.0
retrying>=1.2.2,!=1.3.0 # Apache-2.0
posix_ipc

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 alembic (>= 0.6.4),
 debhelper (>= 9~),
 python-all (>= 2.6),
 python-amqplib (>= 0.3.3),
 python-anyjson (>=0.3.3),
 python-babel (>= 1.3),
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 0.14.0),
 python-greenlet (>= 0.3.2),
 python-ironicclient,
 python-iso8601 (>= 0.1.9),
 python-jinja2,
 python-jsonpatch (>= 1.1),
 python-keystoneclient (>= 0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>= 2.5.0),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-mock (>= 1.0),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 2.3.6),
 python-oslo.config (>= 1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.rootwrap (>= 1.3.0),
 python-oslo.utils (>= 1.0.0),
 python-oslotest (>= 1.1.0),
 python-paramiko (>= 1.13.0),
 python-pbr (>= 0.5.21),
 python-pecan (>= 0.5.0),
 python-posix-ipc,
 python-pyghmi,
 python-retrying (>= 1.2.2),
 python-sendfile,
 python-setuptools,
 python-six (>= 1.7.0),
 python-sqlalchemy (>= 0.7.8),
 python-stevedore (>= 1.0.0),
 python-subunit,
 python-swiftclient (>= 2.2.0),
 python-testtools (>= 0.9.34),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.5b6),
 subunit,
 testrepository (>= 0.0.17),
 websockify (>= 0.6.0)
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ironic/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ironic/juno

Package: python-ironic
Architecture: all
Depends:
 alembic (>= 0.6.4),
 python-amqplib (>= 0.3.3),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-eventlet (>= 0.13.0),
 python-glanceclient (>= 0.14.0),
 python-greenlet (>= 0.3.2),
 python-iso8601 (>= 0.1.9),
 python-jinja2,
 python-jsonpatch (>= 1.1),
 python-keystoneclient (>= 0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-kombu (>= 2.4.8),
 python-lockfile (>= 0.8),
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.1),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 2.3.6),
 python-oslo.config (>= 1.4.0),
 python-oslo.db (>= 1.0.0),
 python-oslo.i18n (>= 1.0.0),
 python-oslo.messaging (>= 1.4.0),
 python-oslo.rootwrap (>= 1.3.0),
 python-oslo.utils (>= 1.0.0),
 python-paramiko (>= 1.13.0),
 python-pecan (>= 0.5.0),
 python-pyghmi,
 python-retrying (>= 1.2.2),
 python-six (>= 1.7.0),
 python-sqlalchemy (>= 0.7.8),
 python-stevedore (>= 1.0.0),
 python-swiftclient (>= 2.2.0),
 python-webob (>= 1.2.3),
 python-wsme (>= 0.5b6),
 websockify (>= 0.6.0),
 ${misc:Depends},
 ${python:Depends}
Description: Openstack bare metal provisioning service - Python library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python libaries.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 python-ironic (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

Package: ironic-api
Architecture: all
Depends:
 ironic-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends:
 ironic-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ
endif

override_dh_install:
	cp etc/ironic/ironic.conf.sample etc/ironic/ironic.conf
	dh_install --fail-missing

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## ironic 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.9.7,<=0.9.99
alembic>=0.7.2
eventlet>=0.16.1,!=0.17.0
lxml>=2.3
WebOb>=1.2.3
greenlet>=0.3.2
sqlalchemy-migrate>=0.9.5
netaddr>=0.7.12
paramiko>=1.13.0
iso8601>=0.1.9
python-neutronclient>=2.3.11,<3
python-glanceclient>=0.15.0
python-keystoneclient>=1.1.0
python-swiftclient>=2.2.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
pysendfile==2.0.0
websockify>=0.6.0,<0.7
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
pecan>=0.8.0
requests>=2.2.0,!=2.4.0
six>=1.9.0
jsonpatch>=1.1
WSME>=0.6
Jinja2>=2.6  # BSD License (3 clause)
keystonemiddleware>=1.5.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
retrying>=1.2.3,!=1.3.0 # Apache-2.0
posix_ipc

## ironic 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -12,10 +12,10 @@
 netaddr>=0.7.12
 paramiko>=1.13.0
 iso8601>=0.1.9
-python-neutronclient>=2.3.11,<3
-python-glanceclient>=0.15.0
-python-keystoneclient>=1.1.0
-python-swiftclient>=2.2.0
+python-neutronclient>=2.3.11,<2.5.0
+python-glanceclient>=0.15.0,<0.18.0
+python-keystoneclient>=1.1.0,<1.4.0
+python-swiftclient>=2.2.0,<2.5.0
 stevedore>=1.3.0,<1.4.0  # Apache-2.0
 pysendfile==2.0.0
 websockify>=0.6.0,<0.7
@@ -34,7 +34,7 @@
 jsonpatch>=1.1
 WSME>=0.6
 Jinja2>=2.6  # BSD License (3 clause)
-keystonemiddleware>=1.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
 retrying>=1.2.3,!=1.3.0 # Apache-2.0
 posix_ipc

=== debian/control ===
--- 
+++ 
@@ -3,98 +3,115 @@
 Priority: extra
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- alembic (>= 0.6.4),
+ alembic (>= 0.7.2),
  debhelper (>= 9~),
+ dh-systemd,
+ dh-python,
+ openstack-pkg-tools (>= 21ubuntu5~),
  python-all (>= 2.6),
  python-amqplib (>= 0.3.3),
  python-anyjson (>=0.3.3),
  python-babel (>= 1.3),
- python-eventlet (>= 0.13.0),
+ python-coverage (>= 3.6),
+ python-eventlet (>= 0.16.1),
  python-fixtures (>= 0.3.14),
- python-glanceclient (>= 0.14.0),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
- python-ironicclient,
+ python-hacking (>= 0.9.2),
+ python-ironicclient (>= 0.2.1),
  python-iso8601 (>= 0.1.9),
- python-jinja2,
+ python-jinja2 (>= 2.6),
  python-jsonpatch (>= 1.1),
- python-keystoneclient (>= 0.10.0),
- python-keystonemiddleware (>= 1.0.0),
- python-kombu (>= 2.5.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-mock (>= 1.0),
  python-mysqldb,
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 2.3.6),
- python-oslo.config (>= 1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.rootwrap (>= 1.3.0),
- python-oslo.utils (>= 1.0.0),
- python-oslotest (>= 1.1.0),
+ python-neutronclient (>= 1:2.3.11),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-policy (>= 0.3.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslosphinx (>= 2.2.0),
+ python-oslotest (>= 1:1.2.0),
  python-paramiko (>= 1.13.0),
- python-pbr (>= 0.5.21),
- python-pecan (>= 0.5.0),
+ python-pbr (>= 0.6),
+ python-pecan (>= 0.8.0),
  python-posix-ipc,
- python-pyghmi,
- python-retrying (>= 1.2.2),
- python-sendfile,
+ python-psycopg2,
+ python-retrying (>= 1.2.3),
+ python-requests (>= 2.2.0),
+ python-sendfile (>= 2.0.0),
  python-setuptools,
- python-six (>= 1.7.0),
- python-sqlalchemy (>= 0.7.8),
- python-stevedore (>= 1.0.0),
- python-subunit,
- python-swiftclient (>= 2.2.0),
- python-testtools (>= 0.9.34),
+ python-six (>= 1.9.0),
+ python-sphinx (>= 1.1.2),
+ python-sphinxcontrib-pecanwsme (>= 0.8),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-subunit (>= 0.0.18),
+ python-swiftclient (>= 1:2.2.0),
+ python-testtools (>= 0.9.36),
  python-webob (>= 1.2.3),
- python-wsme (>= 0.5b6),
+ python-wsme (>= 0.6),
+ python-testresources,
  subunit,
- testrepository (>= 0.0.17),
- websockify (>= 0.6.0)
-Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ironic/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ironic/juno
+ testrepository (>= 0.0.18),
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/ironic/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/ironic/kilo
 
 Package: python-ironic
 Architecture: all
 Depends:
- alembic (>= 0.6.4),
+ alembic (>= 0.7.2),
  python-amqplib (>= 0.3.3),
  python-anyjson (>= 0.3.3),
  python-babel,
- python-eventlet (>= 0.13.0),
- python-glanceclient (>= 0.14.0),
+ python-eventlet (>= 0.16.1),
+ python-glanceclient (>= 1:0.15.0),
  python-greenlet (>= 0.3.2),
  python-iso8601 (>= 0.1.9),
- python-jinja2,
+ python-jinja2 (>= 2.6),
  python-jsonpatch (>= 1.1),
- python-keystoneclient (>= 0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-kombu (>= 2.4.8),
  python-lockfile (>= 0.8),
  python-lxml (>= 2.3),
- python-migrate (>= 0.9.1),
+ python-migrate (>= 0.9.5),
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 2.3.6),
- python-oslo.config (>= 1.4.0),
- python-oslo.db (>= 1.0.0),
- python-oslo.i18n (>= 1.0.0),
- python-oslo.messaging (>= 1.4.0),
- python-oslo.rootwrap (>= 1.3.0),
- python-oslo.utils (>= 1.0.0),
+ python-neutronclient (>= 1:2.3.11),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
  python-paramiko (>= 1.13.0),
- python-pecan (>= 0.5.0),
- python-pyghmi,
- python-retrying (>= 1.2.2),
- python-six (>= 1.7.0),
- python-sqlalchemy (>= 0.7.8),
- python-stevedore (>= 1.0.0),
- python-swiftclient (>= 2.2.0),
+ python-pbr (>= 0.6),
+ python-pecan (>= 0.8.0),
+ python-posix-ipc,
+ python-retrying (>= 1.2.3),
+ python-requests (>= 2.2.0),
+ python-sendfile (>= 2.0.0),
+ python-six (>= 1.9.0),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-swiftclient (>= 1:2.2.0),
  python-webob (>= 1.2.3),
- python-wsme (>= 0.5b6),
- websockify (>= 0.6.0),
+ python-wsme (>= 0.6),
  ${misc:Depends},
  ${python:Depends}
 Description: Openstack bare metal provisioning service - Python library
@@ -114,6 +131,7 @@
 Depends:
  adduser,
  python-ironic (= ${source:Version}),
+ psmisc,
  ${misc:Depends},
  ${python:Depends}
 Description: Openstack bare metal provisioning service - daemons

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 https://launchpad.net/ironic/+download https://launchpad.net/ironic/.*/.*/.*/ironic-(.*)\.tar\.gz
